# arrow-flow-invoke

![npm](https://img.shields.io/npm/v/arrow-flow-invoke.svg) ![license](https://img.shields.io/npm/l/arrow-flow-invoke.svg) ![github-issues](https://img.shields.io/github/issues/amplify/api-builder.svg)  ![Circle CI build status](https://circleci.com/gh/amplify/api-builder.svg?style=svg)

Flow node handlers for Arrow specific logic.

![nodei.co](https://nodei.co/npm/arrow-flow-invoke.png?downloads=true&downloadRank=true&stars=true)

![travis-status](https://img.shields.io/travis/amplify/api-builder.svg)
![stars](https://img.shields.io/github/stars/amplify/api-builder.svg)
![forks](https://img.shields.io/github/forks/amplify/api-builder.svg)

![forks](https://img.shields.io/github/forks/amplify/api-builder.svg)

![](https://david-dm.org/amplify/api-builder/status.svg)
![](https://david-dm.org/amplify/api-builder/dev-status.svg)

## Features


## Install

`npm install --save arrow-flow-invoke`


## Scripts

 - **npm run build** : `npm run clean && npm run build:dev`
 - **npm run build:dev** : `npm run build:lint && npm run check:used && npm run test && npm run build:dist`
 - **npm run build:dist** : `npm run build:readme && babel -d ./dist ./src`
 - **npm run build:lint** : `eslint .`
 - **npm run build:readme** : `node-readme`
 - **npm run clean** : `shx rm -rf coverage`
 - **npm run test** : `shx rm -rf coverage .nyc_output && cross-env NODE_ENV=test nyc --reporter=lcov --reporter=text-summary mocha ./test --recursive -R spec`
 - **npm run test:watch** : `npm test -- --watch`
 - **npm run posttest** : `nyc check-coverage --lines 80 --branches 80 --functions 80`
 - **npm run check:dependencies** : `npm run check:used && npm run check:unused`
 - **npm run check:used** : `dependency-check ./package.json --no-dev --entry src/index.js`
 - **npm run check:unused** : `dependency-check ./package.json --unused --no-dev -i deep-equal`

## Dependencies

Package | Version | Dev
--- |:---:|:---:
[axway-flow](https://www.npmjs.com/package/axway-flow) | 2.2.12 | ✖
[axway-schema](https://www.npmjs.com/package/axway-schema) | 2.2.3 | ✖
[parse-json](https://www.npmjs.com/package/parse-json) | ^3.0.0 | ✖
[ajv](https://www.npmjs.com/package/ajv) | ^5.3.0 | ✔


## Contributing

Contributions welcome; Please submit all pull requests the against master branch. If your pull request contains JavaScript patches or features, you should include relevant unit tests. Please check the [Contributing Guidelines](contributng.md) for more details. Thanks!

## Author

Axway <support@axway.com> https://axway.com

## License

 - **SEE LICENCE IN LICENSE** : null
