'use strict';

var path = require('path');

var upgradeDir = path.join(__dirname, 'upgrades');

/**
 * Register upgrades with flowManager's upgrade manager
 * @param  {object} arrow - Arrow instance
 */
function register(arrow) {
  var upgrades = arrow.flowManager.getUpgrades(upgradeDir);
  arrow.flowManager.registerUpgrades(upgrades);
}

/**
 * Unregister upgrades from flowManager's upgrade manager
 * @param  {object} arrow - Arrow instance
 */
function unregister(arrow) {
  var upgrades = arrow.flowManager.getUpgrades(upgradeDir);
  arrow.flowManager.unregisterUpgrades(upgrades);
}

module.exports = {
  register: register,
  unregister: unregister
};